# DataExchange
TKSTEP
StepAP214

# StepAP214_HArray1OfAutoDesignGeneralOrgItem Class Reference

`#include <StepAP214_HArray1OfAutoDesignGeneralOrgItem.hxx>`

## Public Member Functions

Standard_EXPORT | StepAP214_HArray1OfAutoDesignGeneralOrgItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_HArray1OfAutoDesignGeneralOrgItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP214_AutoDesignGeneralOrgItem &V)
Standard_EXPORT void | Init (const StepAP214_AutoDesignGeneralOrgItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_AutoDesignGeneralOrgItem &Value)
const StepAP214_AutoDesignGeneralOrgItem & | Value (const Standard_Integer Index) const
StepAP214_AutoDesignGeneralOrgItem & | ChangeValue (const Standard_Integer Index)
const StepAP214_Array1OfAutoDesignGeneralOrgItem & | Array1 () const
StepAP214_Array1OfAutoDesignGeneralOrgItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepAP214_Array1OfAutoDesignGeneralOrgItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_HArray1OfAutoDesignGeneralOrgItem::StepAP214_HArray1OfAutoDesignGeneralOrgItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_HArray1OfAutoDesignGeneralOrgItem::StepAP214_HArray1OfAutoDesignGeneralOrgItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP214_AutoDesignGeneralOrgItem & | V
| ) |

## Member Function Documentation

const StepAP214_Array1OfAutoDesignGeneralOrgItem& StepAP214_HArray1OfAutoDesignGeneralOrgItem::Array1 | ( |  | ) | const

StepAP214_Array1OfAutoDesignGeneralOrgItem& StepAP214_HArray1OfAutoDesignGeneralOrgItem::ChangeArray1 | ( |  | ) |

StepAP214_AutoDesignGeneralOrgItem& StepAP214_HArray1OfAutoDesignGeneralOrgItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP214_HArray1OfAutoDesignGeneralOrgItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP214_HArray1OfAutoDesignGeneralOrgItem::Init | ( | const StepAP214_AutoDesignGeneralOrgItem & | V | ) |

Standard_Integer StepAP214_HArray1OfAutoDesignGeneralOrgItem::Length | ( |  | ) | const

Standard_Integer StepAP214_HArray1OfAutoDesignGeneralOrgItem::Lower | ( |  | ) | const

void StepAP214_HArray1OfAutoDesignGeneralOrgItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_AutoDesignGeneralOrgItem & | Value
| ) |

Standard_Integer StepAP214_HArray1OfAutoDesignGeneralOrgItem::Upper | ( |  | ) | const

const StepAP214_AutoDesignGeneralOrgItem& StepAP214_HArray1OfAutoDesignGeneralOrgItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP214_Array1OfAutoDesignGeneralOrgItem StepAP214_HArray1OfAutoDesignGeneralOrgItem::myArray `[private]`

The documentation for this class was generated from the following file:

- StepAP214_HArray1OfAutoDesignGeneralOrgItem.hxx